Bug 428138 - Review Request: system-summary - A quick summary of system hardware
Summary: Review Request: system-summary - A quick summary of system hardware
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-09 14:15 UTC by James Bowes
Modified: 2013-01-10 09:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 15:21:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description James Bowes 2008-01-09 14:15:18 UTC
Spec URL: http://jbowes.fedorapeople.org/tmp/system-summary.spec
SRPM URL: http://jbowes.fedorapeople.org/tmp/system-summary-0.0.2-2.fc8.src.rpm
Description:
A simple "About this computer" screen that summarizes your system's hardware
and software.

Comment 1 Parag AN(पराग) 2008-01-09 15:00:27 UTC
1)If direct download link of tarball is not available then add some text in
comments on how tarball can be created?

2)for desktop file installation you should use desktop-file-install command.
see
http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6
here, you may like to add --vendor="fedora"
    
3) rpmlint output on srpm gave me
system-summary.src: W: strange-permission system-summary.spec 0600
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.



Comment 2 James Bowes 2008-01-09 18:35:42 UTC
Hi:

Updated spec and srpm:
Spec URL: http://jbowes.fedorapeople.org/tmp/system-summary.spec
SRPM URL: http://jbowes.fedorapeople.org/tmp/system-summary-0.0.3-1.fc8.src.rpm

(In reply to comment #1)
> 1)If direct download link of tarball is not available then add some text in
> comments on how tarball can be created?
> 
> 2)for desktop file installation you should use desktop-file-install command.
> see
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6
> here, you may like to add --vendor="fedora"
>     
> 3) rpmlint output on srpm gave me
> system-summary.src: W: strange-permission system-summary.spec 0600
> A file that you listed to include in your package has strange
> permissions. Usually, a file should have 0644 permissions.

I've fixed 1. (created a download location for the tarball) and 2., 3. is an
artifact of how I made the srpm (rpmbuild -ts), and will go away once everything
is in distcvs.

Thanks for taking a look!

Comment 3 Parag AN(पराग) 2008-01-10 03:54:01 UTC
1) You are missing BuildRequires: python-devel
2) use  --vendor="Fedora" like  --vendor="fedora" 
3) you added fedora tag to desktop file that mean your file name will be changed
from system-summary.desktop to fedora-system-summary.desktop
so correct it under %files section

Comment 4 James Bowes 2008-01-11 14:30:52 UTC
Ok, all three are fixed up. And I actually tested the changes this time ;)

Comment 5 Parag AN(पराग) 2008-01-11 14:40:56 UTC
and where can I find new SRPM link? I mean where should I look for review of
this package :)

Comment 6 James Bowes 2008-01-11 14:45:53 UTC
(In reply to comment #5)
> and where can I find new SRPM link? I mean where should I look for review of
> this package :)

haha, oops.

Spec URL: http://jbowes.fedorapeople.org/tmp/system-summary.spec
SRPM URL: http://jbowes.fedorapeople.org/tmp/system-summary-0.0.3-2.fc8.src.rpm

Comment 7 Parag AN(पराग) 2008-01-11 15:12:50 UTC
When I rpmbuild above SPEC on F8 and installed it and tried to start it from
console, I got
fatal: unable to import system_summary
No module named system_summary.main

What should be problem?

Comment 8 James Bowes 2008-01-11 15:40:39 UTC
(In reply to comment #7)
> When I rpmbuild above SPEC on F8 and installed it and tried to start it from
> console, I got
> fatal: unable to import system_summary
> No module named system_summary.main
> 
> What should be problem?

Kind of odd. Is that just running 'system-summary'? I've had no problems on my
F8 machine



Comment 9 Parag AN(पराग) 2008-01-11 16:12:18 UTC
sorry its working fine. I had a tarball installation in /usr/local and rpm
installation in /usr.
rpmlint is silent.
verified upstream source
29adfb43cb8c00771d7d69271b8c7594  system-summary-0.0.3.tar.bz2
Desktop files handled correctly.

APPROVED.


Comment 10 James Bowes 2008-01-11 16:19:03 UTC
Great! Thanks for the review!

Comment 11 James Bowes 2008-01-11 17:29:21 UTC
New Package CVS Request
=======================
Package Name: system-summary
Short Description: A quick summary of system hardware
Owners: jbowes
Branches: F-8
InitialCC:
Cvsextras Commits: yes

Comment 12 Kevin Fenzi 2008-01-11 21:56:38 UTC
cvs done.

Comment 13 Parag AN(पराग) 2008-01-17 02:50:39 UTC
Is this built for F-8 branch?

Comment 14 James Bowes 2008-01-17 15:21:58 UTC
It is now. Thanks for the reminder!


Note You need to log in before you can comment on or make changes to this bug.